%define aurox_ver 9.4
%define rel 1


Summary: A spelling checker.
Name: aspell
Version: 0.50.5
Release: %{aurox_ver}.aur.%{rel}
Epoch: 12
License: LGPL
Group: Applications/Text
URL: http://aspell.net/
Source0: ftp://ftp.gnu.org/gnu/aspell/aspell-%{version}.tar.gz
#Source1: aspell-init.el
Patch0: aspell-0.50.3.prefix.patch
Patch1: aspell-0.50.3-gcc33.patch
Patch2: aspell-0.50.4.1-pathfix.patch
BuildRequires: gcc-c++
Requires: aspell-en
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: ispell
Obsoletes: aspell-de < 0.50, aspell-fr < 0.50, aspell-ca < 0.50, aspell-cs < 0.50, aspell-da < 0.50, aspell-es < 0.50, aspell-it < 0.50, aspell-nl < 0.50, aspell-no < 0.50, aspell-pl < 0.50, aspell-pt < 0.50, aspell-pt_BR < 0.50, aspell-sv < 0.50

%description
GNU Aspell is a spell checker designed to eventually replace Ispell. It can
either be used as a library or as an independent spell checker. Its main
feature is that it does a much better job of coming up with possible
suggestions than just about any other spell checker out there for the
English language, including Ispell and Microsoft Word. It also has many
other technical enhancements over Ispell such as using shared memory for
dictionaries and intelligently handling personal dictionaries when more
than one Aspell process is open at once.

%package	devel
Summary: Static libraries and header files for Aspell development.
Group: Development/Libraries
Requires: aspell = %{epoch}:%{version}

%description	devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development.

%package	pspell
Summary: Static libraries and header files for Aspell development.
Group: Development/Libraries
Requires: aspell = %{epoch}:%{version}
Obsoletes: pspell
Provides: pspell

%description	pspell
Aspell is a spelling checker. The aspell-pspell package includes the
compatibility tools and libs for software using pspell.

%package	pspell-devel
Summary: Static libraries and header files for pspell development.
Group: Development/Libraries
Requires: aspell-devel = %{epoch}:%{version}
Requires: aspell-pspell = %{epoch}:%{version}
Provides: pspell-devel
Obsoletes: pspell-devel

%description	pspell-devel
Aspell is a spelling checker. The aspell-pspell-devel package includes the
static libraries and header files needed for pspell development.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n aspell-%{version}
%patch -p1 -b .prefix
%patch1 -p1 -b .gcc33
%patch2 -p1 -b .pathfix

%build
%configure

%install
%makeinstall

mv ${RPM_BUILD_ROOT}%{_datadir}/aspell/ispell ${RPM_BUILD_ROOT}%{_bindir}

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libaspell.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libpspell.la

#mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
#mkdir -p $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d

#install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
#install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d

rm -f $RPM_BUILD_ROOT/usr/share/doc/aspell/manual.aux

mv $RPM_BUILD_ROOT%{_docdir}/aspell $RPM_BUILD_DIR/%{name}-%{version}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
%doc aspell/*

%{_bindir}/*aspell*
%{_bindir}/ispell
%{_bindir}/word-list-compress
%{_libdir}/libaspell.so.*
/usr/share/aspell

#/usr/share/emacs/site-lisp/site-start.d/*
#/usr/lib/xemacs/xemacs-packages/lisp/site-start.d/*

%files		devel
%defattr(-,root,root)
/usr/include/aspell.h
%{_libdir}/libaspell.so

%files		pspell
%defattr(-,root,root)
%doc README TODO

%{_bindir}/pspell-config
%{_libdir}/libpspell.so.*

#/usr/share/emacs/site-lisp/site-start.d/*
#/usr/lib/xemacs/xemacs-packages/lisp/site-start.d/*


%files		pspell-devel
%defattr(-,root,root)
/usr/include/pspell/pspell.h
%{_libdir}/libpspell.so

%changelog
* Fri Apr 23 2004 Aurox Team <aurox@aurox.org> 12:0.50.5-9.4.aur.1
- updated version
- pspell-devel requires pspell subpackage
- fix path in run-with-aspell
- rebuild for Aurox 9.3 updates

* Thu Jul 17 2003 Robert Glowczynski <robertg@software.com.pl> 7:0.50.3-9.1.aur.3
- split pspell files into separate packages

* Tue Jul 01 2003 Adrian Havill <havill@redhat.com> 11:0.50.3-15
- moved ispell compat script from /usr/share/aspell to /usr/bin (#90907)

* Wed Jun 04 2003 Robert Glowczynski <robertg@software.com.pl> 7:0.50.3-9.1.aur.2
- rebuild to get rid of old dependencies

* Tue Jun 03 2003 Robert Glowczynski <robertg@software.com.pl> 7:0.50.3-9.1.aur.1
- move docs to correct dir

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 7:0.50.3-10
- rebuild again to fix libpspell deps

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 7:0.50.3-9
- remove ExcludeArch

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 7:0.50.3-8
- fix build with gcc 3.3

* Wed May 22 2003 Adrian Havill <havill@redhat.com> 0.50.3-7
- require aspell-en for upgrades

* Sun May 11 2003 Jeremy Katz <katzj@redhat.com> 6:0.50.3-6
- -devel should obsolete pspell-devel

* Tue May  6 2003 Joe Orton <jorton@redhat.com> 0.50.3-5
- include libpspell.so in devel package

* Wed May  1 2003 Adrian Havill <havill@redhat.com> 0.50.3-4
- removed .la files

* Wed Apr 16 2003 Adrian Havill <havill@redhat.com> 0.50.3-3
- Changed the header for provides, obsoletes, epoch
- fixed config prefix in dirs.h

* Wed Apr 16 2003 Adrian Havill <havill@redhat.com> 0.50.3-1
- upgrade to 0.50.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov  8 2002 Tim Powers <timp@redhat.com>
- fix broken pspell epoch dep
- create $RPM_BUILD_ROOT/usr/bin by hand
- remove /usr/doc
- fix hardcoding of /usr/lib so that we can build on x86_64

* Tue Aug 13 2002 Nalin Dahyabhai <nalin@redhat.com> 0.33.7.1-16
- require pspell and pspell-devel using the proper epoch

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 0.33.7.1-14
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.33.7.1-13
- automated rebuild

* Thu Jun 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-12
- Rebuild to make it work again... #66708

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-10
- Rebuild

* Thu Feb 21 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-9
- Disable evil patch

* Mon Jan 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-8
- Build on more archs (doh)

* Tue Jan 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-7
- Make it compile with new compiler (evil workaround)

* Wed Jan 16 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-5
- Rebuild
- Unexclude alpha

* Fri Dec 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-3
- Rebuild
- Don't build on alpha

* Mon Oct 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.7.1-2
- "make it work with gcc 3.1" ;)

* Tue Sep 18 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7.1-1
- 0.33.7.1, which is a "make it work with gcc 3" release

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Thu Aug  9 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7-1
- 0.33.7 bugfix release. Requested by the author, it fixes
  coredumps in sug-mode and when not using typo-analyses.
  It also contains code cleanups so it compiles with -ansi
- should fix coredump on IA64 (#49746)

* Wed Jul 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add the .la files in the main package - used for dynamic loading

* Sun Jun  3 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.6.3, which includes the fix made yesterday

* Sat Jun  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make it search for directories in the correct location

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- No more workarounds at the specfile level

* Tue May 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use custom ltmain.sh to work around buggy bundled libtool

* Sun May 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.6
- use standard %%configure macro - it works now.

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.5-2
- Rebuild with new libltdl

* Mon Apr 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.5

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use new emacs init scheme for Emacs and XEmacs

* Wed Nov 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
-  .32.6

* Sat Aug 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32.5 bugfix release (also contains improved documentation),
  obsolete old patch
- the compatibility scripts are now part of the package itself
- clean up build procedure
- remove manual.aux file from docs (#16424)

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32.1 bugfix release, obsolete old patch
- rename to 0.32.1
- add patch from author to change his email address
- add spell and ispell compatibility scripts

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remember to obsolete ispell
- build the Canadian and British dictionaries here now,
  as part of the main package. Same package names and 
  descriptions.

* Mon Jul 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32
- remove old patches, add a patch since namespace isn't 
  polluted as much anymore (as opposed to older toolchain)

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use RPM_OPT_FLAGS, not just -O0
- dont include .la-files

* Fri Jun 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- excludearch ia64

* Fri Jun 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- patch to work around compiler bug(?) wrt. inline functions
- use CFLAGS and CXXFLAGS
- set them to -O0 to work around YACB
- copy libtool files for IA64 support

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to .31.1. My patch was upstreamed and is no longer needed.
- new patch added so DESTDIR works properly

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- (this entry includes some old ones...)
- update to .31
- added patch to make it compile with a pickier compiler
- include /usr/share/pspell

* Mon May 1 2000 Tim Powers <timp@redhat.com>
- updated to .30.1
- used build fixes from Ryan Weaver's 0.30.1-1 package on sourceforge
- updated URL, download/ftp location
- removed redundant define's at top of spec file

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- built for Powertools 6.1
- removed %serial definitions from spec file to make versioning
  consistant with the other packages we ship.
- changed build root path
- general spec file cleanups

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.
